{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"paths":{"/v1/speech/stream":{"post":{"operationId":"stream","summary":"Stream Speech","description":"Synthesize speech with ultra-low latency over a streaming connection.\nChoose the `Base URL` from the URL dropdown (Global URL or a pinned Region)\n\n<Warning>\nOur legacy Gen2 streaming model is deprecated. Please migrate to the latest [Falcon 2](/api/docs/text-to-speech-models/falcon-2) model.\n</Warning>\n\n**Note**: Global URL auto-routes to the nearest region.\n| Region         | URL                                       | Default Concurrency |\n| ------------------------- | ---------------------------------------------- | -------------------- |\n| Global (Routes to the nearest server) | `https://global.api.murf.ai/v1/speech/stream`     | Region specific concurrency |\n| US-East                   | `https://us-east.api.murf.ai/v1/speech/stream`    | 15 |\n| US-West                   | `https://us-west.api.murf.ai/v1/speech/stream`    | 2 |\n| India                     | `https://in.api.murf.ai/v1/speech/stream`         | 2 |\n| Canada                    | `https://ca.api.murf.ai/v1/speech/stream`         | 2 |\n| South Korea               | `https://kr.api.murf.ai/v1/speech/stream`         | 2 |\n| UAE                       | `https://me.api.murf.ai/v1/speech/stream`         | 2 |\n| Japan                     | `https://jp.api.murf.ai/v1/speech/stream`         | 2 |\n| Australia                 | `https://au.api.murf.ai/v1/speech/stream`         | 2 |\n| EU (Central)              | `https://eu-central.api.murf.ai/v1/speech/stream` | 2 |\n| UK                        | `https://uk.api.murf.ai/v1/speech/stream`         | 2 |\n| South America (São Paulo) | `https://sa-east.api.murf.ai/v1/speech/stream`    | 2 |\n","tags":["textToSpeech"],"parameters":[{"name":"api-key","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/text_to_speech_stream_Response_200"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}},"402":{"description":"Expired subscription or character limit exhausted","content":{"application/json":{"schema":{"description":"Any type"}}}},"403":{"description":"Invalid or expired token/api-key provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenerateSpeechStreamingRequest"}}}}}},"/v1/speech/generate":{"post":{"operationId":"generate","summary":"Synthesize Speech","description":"Returns a url to the generated audio file along with other associated properties.","tags":["textToSpeech"],"parameters":[{"name":"api-key","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenerateSpeechResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}},"402":{"description":"Expired subscription or character limit exhausted","content":{"application/json":{"schema":{"description":"Any type"}}}},"403":{"description":"Invalid or expired token/api-key provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenerateSpeechRequest"}}}}}},"/v1/speech/voices":{"get":{"operationId":"get-voices","summary":"List Voices","description":"Returns a list of available voices for speech synthesis.\n\n<Info>\nOur legacy Gen2 streaming model is deprecated. Gen2 supported voices will still be available to use through the Gen2 non streaming [Synthesize Speech](/api/docs/api-reference/text-to-speech/generate) endpoint. For Streaming, we recommend migrating to our latest [Falcon 2](/api/docs/text-to-speech-models/falcon-2) model.\n</Info>\n","tags":["textToSpeech"],"parameters":[{"name":"model","in":"query","description":"Valid values: falcon-2, gen2","required":false,"schema":{"type":"string","default":"GEN2"}},{"name":"token","in":"header","required":false,"schema":{"type":"string"}},{"name":"api-key","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApiVoice"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}},"403":{"description":"Invalid or expired token provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}}}},"/v1/voice-changer/convert":{"post":{"operationId":"convert","summary":"Voice Changer","description":"Returns a url to the generated audio file along with other associated properties.","tags":["voiceChanger"],"parameters":[{"name":"api-key","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpeechToSpeechResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}},"402":{"description":"Expired subscription or character limit exhausted","content":{"application/json":{"schema":{"description":"Any type"}}}},"403":{"description":"Invalid or expired token/api-key provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"audio_duration":{"type":"number","format":"double","minimum":0,"description":"This parameter allows specifying the duration (in seconds) for the generated audio. If the value is 0, this parameter will be ignored. Only available for Gen2 model."},"channel_type":{"type":"string","default":"MONO","description":"Valid values: STEREO, MONO"},"encode_output_as_base64":{"type":"boolean","description":"Set to true to receive audio in response as a Base64 encoded string along with a url."},"file":{"type":"string","format":"binary","description":"The file to upload"},"file_url":{"type":"string"},"format":{"type":"string","default":"WAV","description":"Format of the generated audio file. Valid values: MP3, WAV, FLAC, ALAW, ULAW"},"multi_native_locale":{"type":"string","description":"Specifies the language for the generated audio, enabling a voice to speak in multiple languages natively. Only available in the Gen2 model.\nValid values: \"en-US\", \"en-UK\", \"es-ES\", etc.\n\nUse the GET /v1/speech/voices endpoint to retrieve the list of available voices and languages."},"pitch":{"type":"integer","minimum":-50,"maximum":50,"description":"Pitch of the voiceover"},"rate":{"type":"integer","minimum":-50,"maximum":50,"description":"Speed of the voiceover"},"retain_accent":{"type":"boolean","default":true,"description":"Set to true to retain the original accent of the speaker during voice generation."},"retain_prosody":{"type":"boolean","default":true,"description":"Indicates whether to retain the original prosody (intonation, rhythm, and stress) of the input voice in the generated output."},"return_transcription":{"type":"boolean","default":false,"description":"Set to true to include a textual transcription of the generated audio in the response."},"sample_rate":{"type":"number","format":"double","default":44100,"description":"Valid values are 8000, 24000, 44100, 48000"},"style":{"type":"string","description":"The voice style to be used for voiceover generation."},"transcription":{"type":"string","description":"This parameter allows specifying a transcription of the audio clip, which will then be used as input for the voice changer"},"variation":{"type":"integer","minimum":0,"maximum":5,"default":1,"description":"Higher values will add more variation in terms of Pause, Pitch, and Speed to the voice. Only available for Gen2 model."},"voice_id":{"type":"string","description":"Use the GET /v1/speech/voices API to find supported voiceIds. You can use either the voiceId (e.g. en-US-natalie) or just the voice actor's name (e.g. natalie)."}},"required":["voice_id"]}}}}}},"/v1/text/translate":{"post":{"operationId":"translate","summary":"Translate","tags":["text"],"parameters":[{"name":"api-key","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MurfApiTranslationResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}},"402":{"description":"Expired subscription or character limit exhausted","content":{"application/json":{"schema":{"description":"Any type"}}}},"403":{"description":"Invalid or expired token provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MurfApiTranslationRequest"}}}}}},"/v1/auth/token":{"get":{"operationId":"generate-token","summary":"Generate auth token","description":"Generates an auth token for authenticating your requests","tags":["auth"],"parameters":[{"name":"api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthTokenResponse"}}}},"400":{"description":"Bad request or missing api-key header","content":{"application/json":{"schema":{"description":"Any type"}}}},"401":{"description":"Bad api-key provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}}}},"/v1/murfdub/list-destination-languages":{"get":{"operationId":"list-destination-languages","summary":"List Destination Languages","tags":["dubbing > languages"],"parameters":[{"name":"api-key","in":"header","description":"Your Dub API key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LocaleResponse"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}},"403":{"description":"Invalid or expired token provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}}}},"/v1/murfdub/list-source-languages":{"get":{"operationId":"list-source-languages","summary":"List Source Languages","tags":["dubbing > languages"],"parameters":[{"name":"api-key","in":"header","description":"Your Dub API key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SourceLocaleResponse"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}},"403":{"description":"Invalid or expired token provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}}}},"/v1/murfdub/jobs/create":{"post":{"operationId":"create","summary":"Create","tags":["dubbing > jobs"],"parameters":[{"name":"api-key","in":"header","description":"Your Dub API key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiJobResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}},"403":{"description":"Invalid or expired token provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"The file to upload"},"file_url":{"type":"string"},"source_locale":{"type":"string","description":"Source locale"},"target_locales":{"type":"array","items":{"type":"string"},"description":"List of target locales"},"webhook_url":{"type":"string"},"file_name":{"type":"string"},"priority":{"$ref":"#/components/schemas/V1MurfdubJobsCreatePostRequestBodyContentMultipartFormDataSchemaPriority","description":"Priority of the job. Allowed values: LOW, NORMAL, HIGH"},"webhook_secret":{"type":"string"}},"required":["target_locales"]}}}}}},"/v1/murfdub/jobs/create-with-project-id":{"post":{"operationId":"create-with-project-id","summary":"Create With Project Id","tags":["dubbing > jobs"],"parameters":[{"name":"api-key","in":"header","description":"Your Dub API key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiJobResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}},"403":{"description":"Invalid or expired token provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","description":"The file to upload"},"file_url":{"type":"string"},"project_id":{"type":"string","description":"Your Project Id"},"webhook_url":{"type":"string"},"file_name":{"type":"string"},"priority":{"$ref":"#/components/schemas/V1MurfdubJobsCreateWithProjectIdPostRequestBodyContentMultipartFormDataSchemaPriority","description":"Priority of the job. Allowed values: LOW, NORMAL, HIGH"},"webhook_secret":{"type":"string"}},"required":["project_id"]}}}}}},"/v1/murfdub/jobs/{job_id}/status":{"get":{"operationId":"get-status","summary":"Get Status","tags":["dubbing > jobs"],"parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"api-key","in":"header","description":"Your Dub API key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DubJobStatusResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}},"403":{"description":"Invalid or expired token provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}}}},"/v1/murfdub/projects/create":{"post":{"operationId":"create","summary":"Create","tags":["dubbing > projects"],"parameters":[{"name":"api-key","in":"header","description":"Your Dub API key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiProjectResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}},"403":{"description":"Invalid or expired token provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiCreateProjectRequest"}}}}}},"/v1/murfdub/projects/list":{"get":{"operationId":"list","summary":"List","tags":["dubbing > projects"],"parameters":[{"name":"limit","in":"query","description":"Number of Projects in response","required":false,"schema":{"type":"integer"}},{"name":"next","in":"query","description":"Next Page Iterator","required":false,"schema":{"type":"string"}},{"name":"api-key","in":"header","description":"Your Dub API key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupApiProjectResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}},"403":{"description":"Invalid or expired token provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}}}},"/v1/murfdub/projects/{project_id}/update":{"put":{"operationId":"update","summary":"Update","tags":["dubbing > projects"],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string"}},{"name":"api-key","in":"header","description":"Your Dub API key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiProjectResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"description":"Any type"}}}},"403":{"description":"Invalid or expired token provided","content":{"application/json":{"schema":{"description":"Any type"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"description":"Any type"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"description":"Any type"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiUpdateProjectRequest"}}}}}}},"servers":[{"url":"https://api.murf.ai","description":"Base"},{"url":"https://global.api.murf.ai","description":"Global Router"},{"url":"https://us-east.api.murf.ai","description":"US East"},{"url":"https://us-west.api.murf.ai","description":"US West"},{"url":"https://in.api.murf.ai","description":"India"},{"url":"https://ca.api.murf.ai","description":"Canada"},{"url":"https://kr.api.murf.ai","description":"South Korea"},{"url":"https://me.api.murf.ai","description":"UAE"},{"url":"https://jp.api.murf.ai","description":"Japan"},{"url":"https://au.api.murf.ai","description":"Australia"},{"url":"https://eu-central.api.murf.ai","description":"EU Central"},{"url":"https://uk.api.murf.ai","description":"UK"},{"url":"https://sa-east.api.murf.ai","description":"South America"}],"components":{"schemas":{"GenerateSpeechStreamingRequest":{"type":"object","properties":{"model":{"type":"string","description":"The model to use for audio output. Defaults to falcon-2 for all the regions except US-East. Valid values: falcon-2, gen2.\n\n<Warning>\nOur legacy Gen2 streaming model is deprecated. Please migrate to the latest [Falcon 2](/api/docs/text-to-speech-models/falcon-2) model.\n</Warning>"},"channelType":{"type":"string","default":"MONO","description":"Valid values: STEREO, MONO"},"format":{"type":"string","default":"WAV","description":"Format of the generated audio file.Valid values: MP3, FLAC, WAV, ALAW, ULAW, OGG, PCM"},"multiNativeLocale":{"type":"string","description":"This field is superseded by `locale` field. Please migrate to `locale` field to ensure compatibility with future API versions.\n\nSpecifies the language for the generated audio, enabling a voice to speak in multiple languages natively.\nValid values: \"en-US\", \"en-UK\", \"es-ES\", etc. Use the GET /v1/speech/voices endpoint to retrieve the list of available voices and languages.","deprecated":true},"locale":{"type":"string","description":"Specifies the language for the generated audio, enabling a voice to speak in multiple languages natively.\nValid values: \"en-US\", \"en-UK\", \"es-ES\", etc. Use the GET /v1/speech/voices endpoint to retrieve the list of available voices and languages."},"pitch":{"type":"integer","minimum":-50,"maximum":50,"description":"Pitch of the voiceover"},"rate":{"type":"integer","minimum":-50,"maximum":50,"description":"Speed of the voiceover"},"sampleRate":{"type":"number","format":"double","default":24000,"description":"Valid values are 8000, 16000, 24000, 44100, 48000. Defaults to 24000 for Falcon 2 model and 44100 for Gen2 model."},"style":{"type":"string","description":"The voice style to be used for voiceover generation."},"text":{"type":"string","description":"The text that is to be synthesised. e.g. 'Hello there [pause 1s] friend'"},"variation":{"type":"integer","minimum":0,"maximum":5,"default":1,"description":"Higher values will add more variation in terms of Pause, Pitch, and Speed to the voice. Only available for Gen2 model."},"voiceId":{"type":"string","description":"Use the GET /v1/speech/voices API to find supported voiceIds. You can use either the voiceId (e.g. en-US-natalie) or just the voice actor's name (e.g. natalie)."}},"required":["text","voiceId"],"title":"GenerateSpeechStreamingRequest"},"text_to_speech_stream_Response_200":{"type":"object","properties":{},"description":"Empty response body","title":"text_to_speech_stream_Response_200"},"GenerateSpeechRequestModelVersion":{"type":"string","enum":["GEN2"],"default":"GEN2","description":"Valid values: GEN2. Audio will be generated using the new and advanced GEN2 model. Outputs from GEN2 sound more natural and high-quality compared to earlier models.","title":"GenerateSpeechRequestModelVersion"},"GenerateSpeechRequest":{"type":"object","properties":{"audioDuration":{"type":"number","format":"double","minimum":0,"description":"This parameter allows specifying the duration (in seconds) for the generated audio. If the value is 0, this parameter will be ignored. Only available for Gen2 model."},"channelType":{"type":"string","default":"MONO","description":"Valid values: STEREO, MONO"},"encodeAsBase64":{"type":"boolean","description":"Set to true to receive audio in response as a Base64 encoded string instead of a url. This enables zero retention of audio data on Murf's servers."},"format":{"type":"string","default":"WAV","description":"Format of the generated audio file. Valid values: MP3, WAV, FLAC, ALAW, ULAW, PCM, OGG"},"modelVersion":{"$ref":"#/components/schemas/GenerateSpeechRequestModelVersion","default":"GEN2","description":"Valid values: GEN2. Audio will be generated using the new and advanced GEN2 model. Outputs from GEN2 sound more natural and high-quality compared to earlier models."},"multiNativeLocale":{"type":"string","description":"This field is superseded by `locale` field. Please migrate to `locale` field to ensure compatibility with future API versions.\n\nSpecifies the language for the generated audio, enabling a voice to speak in multiple languages natively. Only available in the Gen2 model.\nValid values: \"en-US\", \"en-UK\", \"es-ES\", etc. Use the GET /v1/speech/voices endpoint to retrieve the list of available voices and languages.","deprecated":true},"locale":{"type":"string","description":"Specifies the language for the generated audio, enabling a voice to speak in multiple languages natively. Only available in the Gen2 model.\nValid values: \"en-US\", \"en-UK\", \"es-ES\", etc. Use the GET /v1/speech/voices endpoint to retrieve the list of available voices and languages."},"pitch":{"type":"integer","minimum":-50,"maximum":50,"description":"Pitch of the voiceover"},"rate":{"type":"integer","minimum":-50,"maximum":50,"description":"Speed of the voiceover"},"sampleRate":{"type":"number","format":"double","default":44100,"description":"Valid values are 8000, 24000, 44100, 48000"},"style":{"type":"string","description":"The voice style to be used for voiceover generation."},"text":{"type":"string","description":"The text that is to be synthesised. e.g. 'Hello there [pause 1s] friend'"},"variation":{"type":"integer","minimum":0,"maximum":5,"default":1,"description":"Higher values will add more variation in terms of Pause, Pitch, and Speed to the voice. Only available for Gen2 model."},"voiceId":{"type":"string","description":"Use the GET /v1/speech/voices API to find supported voiceIds. You can use either the voiceId (e.g. en-US-natalie) or just the voice actor's name (e.g. natalie)."},"wordDurationsAsOriginalText":{"type":"boolean","default":false,"description":"If set to true, the word durations in response will return words as the original input text. (English only)"}},"required":["text","voiceId"],"title":"GenerateSpeechRequest"},"WordDurationResponse":{"type":"object","properties":{"endMs":{"type":"integer"},"pitchScaleMaximum":{"type":"number","format":"double","description":"This field has been deprecated.","deprecated":true},"pitchScaleMinimum":{"type":"number","format":"double","description":"This field has been deprecated.","deprecated":true},"sourceWordIndex":{"type":"integer","description":"This field has been deprecated.","deprecated":true},"startMs":{"type":"integer"},"word":{"type":"string"}},"title":"WordDurationResponse"},"GenerateSpeechResponse":{"type":"object","properties":{"audioFile":{"type":"string","format":"url"},"audioLengthInSeconds":{"type":"number","format":"double"},"consumedCharacterCount":{"type":"integer","format":"int64","description":"Number of characters consumed so far in the current billing cycle.","deprecated":true},"encodedAudio":{"type":"string"},"remainingCharacterCount":{"type":"integer","format":"int64","description":"Remaining number of characters available for synthesis in the current billing cycle."},"warning":{"type":"string"},"wordDurations":{"type":"array","items":{"$ref":"#/components/schemas/WordDurationResponse"}}},"required":["audioFile","audioLengthInSeconds","remainingCharacterCount","wordDurations"],"title":"GenerateSpeechResponse"},"ApiVoiceGender":{"type":"string","enum":["Male","Female","NonBinary"],"title":"ApiVoiceGender"},"StyleDetails":{"type":"object","properties":{"availableStyles":{"type":"array","items":{"type":"string"}},"detail":{"type":"string"}},"title":"StyleDetails"},"ApiVoice":{"type":"object","properties":{"accent":{"type":"string","description":"This field has been deprecated. Please refer to 'supportedLocales.detail' instead.","deprecated":true},"availableStyles":{"type":"array","items":{"type":"string"},"description":"This field has been deprecated. Please refer to 'supportedLocales.availableStyles' instead.","deprecated":true},"description":{"type":"string"},"displayLanguage":{"type":"string","description":"This field has been deprecated. Please refer to 'supportedLocales.detail' instead.","deprecated":true},"displayName":{"type":"string"},"gender":{"$ref":"#/components/schemas/ApiVoiceGender"},"locale":{"type":"string"},"supportedLocales":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/StyleDetails"}},"voiceId":{"type":"string"}},"title":"ApiVoice"},"SpeechToSpeechResponse":{"type":"object","properties":{"audio_file":{"type":"string","description":"The URL or path of the generated audio file."},"audio_length_in_seconds":{"type":"number","format":"double","description":"Length of the generated audio in seconds."},"encoded_audio":{"type":"string","description":"Base64 encoded string of the generated audio. Used when audio is returned directly in the response."},"remaining_character_count":{"type":"integer","format":"int64","description":"Remaining number of characters available for synthesis in the current billing cycle."},"transcription":{"type":"string","description":"Transcript of the generated audio, if transcription was requested.","deprecated":true},"warning":{"type":"string","description":"Any warning or informational message related to the audio generation process."}},"required":["audio_file","audio_length_in_seconds","remaining_character_count"],"title":"SpeechToSpeechResponse"},"MurfApiTranslationRequest":{"type":"object","properties":{"targetLanguage":{"type":"string","description":"The language code for the target translation"},"texts":{"type":"array","items":{"type":"string"},"description":"List of texts to translate"}},"required":["targetLanguage","texts"],"title":"MurfApiTranslationRequest"},"CharacterCount":{"type":"object","properties":{"total_source_text_length":{"type":"integer"},"total_translated_text_length":{"type":"integer"}},"title":"CharacterCount"},"Metadata":{"type":"object","properties":{"character_count":{"$ref":"#/components/schemas/CharacterCount"},"credits_used":{"type":"number","format":"double"},"target_language":{"type":"string"}},"title":"Metadata"},"Translation":{"type":"object","properties":{"source_text":{"type":"string"},"translated_text":{"type":"string"}},"title":"Translation"},"MurfApiTranslationResponse":{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/Metadata"},"translations":{"type":"array","items":{"$ref":"#/components/schemas/Translation"}}},"title":"MurfApiTranslationResponse"},"AuthTokenResponse":{"type":"object","properties":{"expiryInEpochMillis":{"type":"integer","format":"int64","description":"The timestamp at which the generated token will expire - in Unix time."},"token":{"type":"string"}},"title":"AuthTokenResponse"},"LocaleResponseSupportsItems":{"type":"string","enum":["AUTOMATED","QA"],"description":"Dubbing Type supported by locale","title":"LocaleResponseSupportsItems"},"LocaleResponse":{"type":"object","properties":{"locale":{"type":"string"},"language":{"type":"string"},"supports":{"type":"array","items":{"$ref":"#/components/schemas/LocaleResponseSupportsItems"},"description":"Dubbing Type supported by locale"}},"required":["locale","language","supports"],"title":"LocaleResponse"},"SourceLocaleResponse":{"type":"object","properties":{"locale":{"type":"string"},"language":{"type":"string"}},"required":["locale","language"],"title":"SourceLocaleResponse"},"V1MurfdubJobsCreatePostRequestBodyContentMultipartFormDataSchemaPriority":{"type":"string","enum":["LOW","NORMAL","HIGH"],"description":"Priority of the job. Allowed values: LOW, NORMAL, HIGH","title":"V1MurfdubJobsCreatePostRequestBodyContentMultipartFormDataSchemaPriority"},"ApiJobResponseDubbingType":{"type":"string","enum":["AUTOMATED","QA"],"description":"Dubbing Type","title":"ApiJobResponseDubbingType"},"ApiJobResponsePriority":{"type":"string","enum":["LOW","NORMAL","HIGH"],"description":"Priority of the job. Allowed values: LOW, NORMAL, HIGH","title":"ApiJobResponsePriority"},"ApiJobResponse":{"type":"object","properties":{"file_url":{"type":"string"},"dubbing_type":{"$ref":"#/components/schemas/ApiJobResponseDubbingType","description":"Dubbing Type"},"webhook_url":{"type":"string"},"file_name":{"type":"string","description":"Your Uploaded File Name"},"priority":{"$ref":"#/components/schemas/ApiJobResponsePriority","description":"Priority of the job. Allowed values: LOW, NORMAL, HIGH"},"source_locale":{"type":"string","description":"Source locale"},"job_id":{"type":"string","description":"Your Job Id"},"target_locales":{"type":"array","items":{"type":"string"},"description":"List of target locales"},"warning":{"type":"string"}},"required":["dubbing_type","file_name","priority","job_id","target_locales"],"title":"ApiJobResponse"},"V1MurfdubJobsCreateWithProjectIdPostRequestBodyContentMultipartFormDataSchemaPriority":{"type":"string","enum":["LOW","NORMAL","HIGH"],"description":"Priority of the job. Allowed values: LOW, NORMAL, HIGH","title":"V1MurfdubJobsCreateWithProjectIdPostRequestBodyContentMultipartFormDataSchemaPriority"},"DubApiDetailResponse":{"type":"object","properties":{"locale":{"type":"string"},"status":{"type":"string"},"error_message":{"type":"string"},"download_url":{"type":"string"},"download_srt_url":{"type":"string"}},"title":"DubApiDetailResponse"},"DubJobStatusResponse":{"type":"object","properties":{"project_id":{"type":"string","description":"Your Project Id"},"job_id":{"type":"string","description":"Your Job Id"},"status":{"type":"string","description":"Your Job Status"},"download_details":{"type":"array","items":{"$ref":"#/components/schemas/DubApiDetailResponse"}},"credits_used":{"type":"integer","format":"int64"},"credits_remaining":{"type":"integer","format":"int64"},"failure_reason":{"type":"string"},"failure_code":{"type":"string"}},"required":["job_id","status"],"title":"DubJobStatusResponse"},"ApiCreateProjectRequestDubbingType":{"type":"string","enum":["AUTOMATED","QA"],"title":"ApiCreateProjectRequestDubbingType"},"ApiCreateProjectRequest":{"type":"object","properties":{"name":{"type":"string","description":"Your Project Name"},"source_locale":{"type":"string","description":"Source Locale"},"dubbing_type":{"$ref":"#/components/schemas/ApiCreateProjectRequestDubbingType"},"description":{"type":"string"},"target_locales":{"type":"array","items":{"type":"string"},"description":"List of target locales"}},"required":["name","dubbing_type","target_locales"],"title":"ApiCreateProjectRequest"},"ApiProjectResponseDubbingType":{"type":"string","enum":["AUTOMATED","QA"],"description":"Dubbing Type","title":"ApiProjectResponseDubbingType"},"ApiProjectResponse":{"type":"object","properties":{"project_id":{"type":"string","description":"Your Project Id"},"name":{"type":"string","description":"Project Name"},"description":{"type":"string"},"source_locale":{"type":"string","description":"Source Locale"},"dubbing_type":{"$ref":"#/components/schemas/ApiProjectResponseDubbingType","description":"Dubbing Type"},"target_locales":{"type":"array","items":{"type":"string"},"description":"List of target locales"}},"required":["project_id","dubbing_type","target_locales"],"title":"ApiProjectResponse"},"GroupApiProjectResponse":{"type":"object","properties":{"next":{"type":"string"},"projects":{"type":"array","items":{"$ref":"#/components/schemas/ApiProjectResponse"},"description":"List of Projects"}},"required":["projects"],"title":"GroupApiProjectResponse"},"ApiUpdateProjectRequest":{"type":"object","properties":{"target_locales":{"type":"array","items":{"type":"string"},"description":"List of target locales"}},"required":["target_locales"],"title":"ApiUpdateProjectRequest"}}}}